package com.zjrs.zwnw.dbgl.dto;

import jakarta.validation.constraints.NotBlank;


public class DbrwglGzqdShDTO {
        @NotBlank(message = "工作清单表流水号不能为空")
        private String rsdbglgzqdlsh;       //工作清单表流水号
        @NotBlank(message = "工作清单不能为空")
        private String gzqd;       //工作清单
        @NotBlank(message = "工作进展不能为空")
        private String gzjz;       //工作进展
        private String czwt;       //存在问题
        private String xgbgz;       //下一步工作
        @NotBlank(message = "完成进度不能为空")
        private String wcjd;       //完成进度
        @NotBlank(message = "速度自评不能为空")
        private String sdpj;       //速度自评
        @NotBlank(message = "质量自评不能为空")
        private String zlpj;       //质量自评
        private String zrr;       //责任人
        private String zrbm;       //责任部门
        private String shzt;       //审核状态
        private String shr;       //审核人
        private String shjg;       //审核机构
        private String shsj;       //审核时间

        public String getRsdbglgzqdlsh() {
                return rsdbglgzqdlsh;
        }

        public void setRsdbglgzqdlsh(String rsdbglgzqdlsh) {
                this.rsdbglgzqdlsh = rsdbglgzqdlsh;
        }

        public String getGzqd() {
                return gzqd;
        }

        public void setGzqd(String gzqd) {
                this.gzqd = gzqd;
        }

        public String getGzjz() {
                return gzjz;
        }

        public void setGzjz(String gzjz) {
                this.gzjz = gzjz;
        }

        public String getCzwt() {
                return czwt;
        }

        public void setCzwt(String czwt) {
                this.czwt = czwt;
        }

        public String getXgbgz() {
                return xgbgz;
        }

        public void setXgbgz(String xgbgz) {
                this.xgbgz = xgbgz;
        }

        public String getSdpj() {
                return sdpj;
        }

        public void setSdpj(String sdpj) {
                this.sdpj = sdpj;
        }

        public String getZlpj() {
                return zlpj;
        }

        public void setZlpj(String zlpj) {
                this.zlpj = zlpj;
        }

        public String getZrr() {
                return zrr;
        }

        public void setZrr(String zrr) {
                this.zrr = zrr;
        }

        public String getZrbm() {
                return zrbm;
        }

        public void setZrbm(String zrbm) {
                this.zrbm = zrbm;
        }

        public String getShzt() {
                return shzt;
        }

        public void setShzt(String shzt) {
                this.shzt = shzt;
        }

        public String getShr() {
                return shr;
        }

        public void setShr(String shr) {
                this.shr = shr;
        }

        public String getShjg() {
                return shjg;
        }

        public void setShjg(String shjg) {
                this.shjg = shjg;
        }

        public String getShsj() {
                return shsj;
        }

        public void setShsj(String shsj) {
                this.shsj = shsj;
        }

        public String getWcjd() {
                return wcjd;
        }

        public void setWcjd(String wcjd) {
                this.wcjd = wcjd;
        }
}
